Package helma.image

# Class GIFEncoder

java.lang.Object
helma.image.GIFEncoder

public class GIFEncoder extends Object

## Constructor Summary

Constructors
Constructor
Description
`GIFEncoder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`encode(BufferedImage bi, DataOutput out)`
`void`
`encode(BufferedImage bi, DataOutput out, boolean interlace, String comment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GIFEncoder

public GIFEncoder()

## Method Details

### encode

public void encode(BufferedImage bi, DataOutput out) throws IOException

Throws:
  `IOException`

### encode

public void encode(BufferedImage bi, DataOutput out, boolean interlace, String comment) throws IOException

Throws:
  `IOException`